Remove a verified caller ID
DELETE
/v1/workspace/caller-ids/{caller_id_id}
const url = 'https://api.vocapable.com/v1/workspace/caller-ids/example?expected_revision=1';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://api.vocapable.com/v1/workspace/caller-ids/example?expected_revision=1' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”caller_id_id
required
Caller Id Id
string
Query Parameters
Section titled “Query Parameters”expected_revision
required
Expected Revision
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceCallerId
object
id
required
Id
string
phone_e164
required
Phone E164
string
label
required
Label
string
state
required
State
string
caller_id_access
required
Caller Id Access
string
outbound_only
required
Outbound Only
boolean
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
Example
{ "state": "pending", "caller_id_access": "everyone"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}